gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.MenuComboToolbar.ImageMenuItem

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Methods
- Attributes

Description

A menu item with an icon

Synopsis

- data ImageMenuItem
- class MenuItemClass o => ImageMenuItemClass o
- castToImageMenuItem :: GObjectClass obj => obj -> ImageMenuItem
- gTypeImageMenuItem :: GType
- toImageMenuItem :: ImageMenuItemClass o => o -> ImageMenuItem
- imageMenuItemNew :: IO ImageMenuItem
- imageMenuItemNewFromStock :: StockId -> IO ImageMenuItem
- imageMenuItemNewWithLabel :: GlibString string => string -> IO ImageMenuItem
- imageMenuItemNewWithMnemonic :: GlibString string => string -> IO ImageMenuItem
- imageMenuItemSetImage :: (ImageMenuItemClass self, WidgetClass image) => self -> image -> IO ()
- imageMenuItemGetImage :: ImageMenuItemClass self => self -> IO (Maybe Widget)
- imageMenuItemImage :: (ImageMenuItemClass self, WidgetClass image) => ReadWriteAttr self (Maybe Widget) image

# Detail

A `ImageMenuItem` is a menu item which has an icon next to the text label.

Note that the user can disable display of menu icons, so make sure to still fill in the text label.

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----Container
    | +----Bin
    | +----Item
    | +----MenuItem
    | +----ImageMenuItem

# Types

data ImageMenuItem Source #

#### Instances

Instances details

Eq ImageMenuItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: ImageMenuItem -> ImageMenuItem -> Bool Source # (/=) :: ImageMenuItem -> ImageMenuItem -> Bool Source #
Ord ImageMenuItem Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: ImageMenuItem -> ImageMenuItem -> Ordering Source #

(<) :: ImageMenuItem -> ImageMenuItem -> Bool Source #

(<=) :: ImageMenuItem -> ImageMenuItem -> Bool Source #

(>) :: ImageMenuItem -> ImageMenuItem -> Bool Source #

(>=) :: ImageMenuItem -> ImageMenuItem -> Bool Source #

max :: ImageMenuItem -> ImageMenuItem -> ImageMenuItem Source #

min :: ImageMenuItem -> ImageMenuItem -> ImageMenuItem Source #

GObjectClass ImageMenuItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: ImageMenuItem -> GObject Source # unsafeCastGObject :: GObject -> ImageMenuItem Source #
BinClass ImageMenuItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ContainerClass ImageMenuItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ImageMenuItemClass ImageMenuItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types
MenuItemClass ImageMenuItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass ImageMenuItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class MenuItemClass o => ImageMenuItemClass o Source #

#### Instances

Instances details

ImageMenuItemClass ImageMenuItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToImageMenuItem :: GObjectClass obj => obj -> ImageMenuItem Source #

gTypeImageMenuItem :: GType Source #

toImageMenuItem :: ImageMenuItemClass o => o -> ImageMenuItem Source #

# Constructors

imageMenuItemNew :: IO ImageMenuItem Source #

Creates a new `ImageMenuItem` with an empty label.

imageMenuItemNewFromStock Source #

Arguments

:: StockId | `stockId` - the name of the stock item.
-> IO ImageMenuItem |

Creates a new `ImageMenuItem` containing the image and text from a stock item.

imageMenuItemNewWithLabel Source #

Arguments

:: GlibString string |
=> string | `label` - the text of the menu item.
-> IO ImageMenuItem |

Creates a new `ImageMenuItem` containing a label.

imageMenuItemNewWithMnemonic Source #

Arguments

:: GlibString string |
=> string | `label` - the text of the menu item, with an underscore in front of the mnemonic character
-> IO ImageMenuItem |

Creates a new `ImageMenuItem` containing a label. The label will be created using `labelNewWithMnemonic`, so underscores in `label` indicate the mnemonic for the menu item.

# Methods

imageMenuItemSetImage Source #

Arguments

:: (ImageMenuItemClass self, WidgetClass image) |
=> self |
-> image | `image` - a widget to set as the image for the menu item.
-> IO () |

Sets the image of the image menu item to the given widget. Note that it depends on the "show-menu-images" setting whether the image will be displayed or not.

imageMenuItemGetImage Source #

Arguments

:: ImageMenuItemClass self |
=> self |
-> IO (Maybe Widget) | returns the widget set as image of or `Nothing` if none has been set.

Gets the widget that is currently set as the image. See `imageMenuItemSetImage`.

# Attributes

imageMenuItemImage :: (ImageMenuItemClass self, WidgetClass image) => ReadWriteAttr self (Maybe Widget) image Source #

Child widget to appear next to the menu text.